Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.context.control
Class ContextDeleteListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.context.control.AbstractContextListener
              org.deegree.portal.standard.context.control.ContextDeleteListener

All Implemented Interfaces:
  EventListener, WebListener

    public class ContextDeleteListener

extends AbstractContextListener

Listener class that enables deleting a named conetxt

Version:
  $Revision: 21440 $, $Date: 2009-12-14 16:46:38 +0100 (Mo, 14. Dez 2009) $
Author:
  Andreas Poth, last edited by: $Author: jmays $

Field Summary

Fields inherited from class org.deegree.portal.standard.context.control.AbstractContextListener
`userDir`

Constructor Summary
`ContextDeleteListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)`

Methods inherited from class org.deegree.portal.standard.context.control.AbstractContextListener
`changeBBox, changeLayerList, extractBBox, extractBBox, extractRPCParameters, extractRPCStruct, getContextList, getUserName, getUserPassword, getUsersStartContext, readSessionID, transformToHtmlMapContext`

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextDeleteListener

    public ContextDeleteListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Specified by:
    `actionPerformed` in class `AbstractListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org